[RISOLTO]-lpthread???

Se avete problemi con l'installazione e la configurazione di Slackware64 postate qui. Non usate questo forum per argomenti che trattano la Slackware32 o generali... per quelli usate rispettivamente il forum Slackware e Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware64 usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware64, se l'argomento è Slackware32 o generale usate rispettivamente il forum Slackware o Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3363
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

[RISOLTO]-lpthread???

Messaggioda Trotto@81 » ven ago 27, 2010 11:26

Provando a compilare FF4 beta su Slack64 aggiornata al 29 luglio ottengo questo errore che non riesco bene a capire
che diavolo voglia.

Codice: Seleziona tutto

*** No rule to make target `-lpthread', needed by `js'.  Stop.

La libreria libpthread è correttamente installata, i link sembrano anche ok.
Ultima modifica di Trotto@81 il mar set 07, 2010 10:12, modificato 1 volta in totale.

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3363
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: -lpthread???

Messaggioda Trotto@81 » dom ago 29, 2010 22:50

Non riesco a trovare nulla in rete, c'è qualcuno che possa darmi un suggerimento?

Avatar utente
Ansa89
Iper Master
Iper Master
Messaggi: 2672
Iscritto il: mer ago 29, 2007 17:57
Nome Cognome: Stefano Ansaloni
Slackware: 14.1 64bit
Kernel: 4.6.3-ck1
Desktop: XFCE 4.10
Località: Modena
Contatta:

Re: -lpthread???

Messaggioda Ansa89 » dom ago 29, 2010 23:03

Così a occhio sembra che "-lpthread" sia un target del Makefile, ma questo è piuttosto inusuale (anche considerato il fatto che ""-lpthread" è una direttiva di gcc/g++).
Non vorrei dire una super cavolata, ma forse il Makefile è stato scritto male :roll: .

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3363
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: -lpthread???

Messaggioda Trotto@81 » dom ago 29, 2010 23:45

E' della versione beta 4 fi FireFox4, se fosse come dici tu dovrei provare a compilare la b3.

Avatar utente
Ansa89
Iper Master
Iper Master
Messaggi: 2672
Iscritto il: mer ago 29, 2007 17:57
Nome Cognome: Stefano Ansaloni
Slackware: 14.1 64bit
Kernel: 4.6.3-ck1
Desktop: XFCE 4.10
Località: Modena
Contatta:

Re: -lpthread???

Messaggioda Ansa89 » lun ago 30, 2010 9:49

Ma non puoi prendere la versione già compilata di firefox 4.0 b4?

Avatar utente
Ansa89
Iper Master
Iper Master
Messaggi: 2672
Iscritto il: mer ago 29, 2007 17:57
Nome Cognome: Stefano Ansaloni
Slackware: 14.1 64bit
Kernel: 4.6.3-ck1
Desktop: XFCE 4.10
Località: Modena
Contatta:

Re: -lpthread???

Messaggioda Ansa89 » lun ago 30, 2010 11:29

Ho provato a compilare la beta 4 (presa da qui) e non mi dà nessun errore.
Forse il problema è che tu usi slackware64 :roll: .

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3363
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: -lpthread???

Messaggioda Trotto@81 » lun ago 30, 2010 13:28

Azz, non credevo ci fossero anche problemi del genere. :shock:
Ho sempre usato ed uso Firefox compilato da me con le opzioni che preferisco.

Avatar utente
Ansa89
Iper Master
Iper Master
Messaggi: 2672
Iscritto il: mer ago 29, 2007 17:57
Nome Cognome: Stefano Ansaloni
Slackware: 14.1 64bit
Kernel: 4.6.3-ck1
Desktop: XFCE 4.10
Località: Modena
Contatta:

Re: -lpthread???

Messaggioda Ansa89 » lun ago 30, 2010 13:36

Trotto@81 ha scritto:Azz, non credevo ci fossero anche problemi del genere. :shock:

La mia è solo un'ipotesi, l'ideale sarebbe se qualcun altro che usa slackware64 facesse qualche prova.

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3363
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: -lpthread???

Messaggioda Trotto@81 » lun ago 30, 2010 13:50

Ho provato anche ad aggiungere l'opzione alle flags, ma da sempre lo stesso errore.
Qualcuno che ha la versione a 64 bit e voglia fare la prova sarebbe l'ideale.
Si può usare anche lo salckbuild di Pat volendo, con qualche piccola modifica.

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3363
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: -lpthread???

Messaggioda Trotto@81 » mer set 01, 2010 15:45

https://bugzilla.mozilla.org/show_bug.cgi?id=514393#c11
Nel link si parla del problema che lamento io, ma non ho capito se hanno intenzione di fixarlo o meno. :?

Avatar utente
hashbang
Packager
Packager
Messaggi: 1944
Iscritto il: ven giu 04, 2010 10:27
Nome Cognome: Luca De Pandis
Slackware: Slackware64-current
Kernel: 4.4.12
Desktop: dwm
Distribuzione: Windows 10 Pro
Località: Lecce
Contatta:

Re: -lpthread???

Messaggioda hashbang » mer set 01, 2010 18:17

A questo punto conviene forse pacchettizzare il precompilato di firefox 4 beta a 64 bit
There's a certain kind of programmer who'll look at any problem and say, 'I know, I will use XML.' Now he has two problems.

Stack is the new term for "I have no idea what I'm actually using". [Erich Schubert]

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3363
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: -lpthread???

Messaggioda Trotto@81 » mer set 01, 2010 18:53

Capito, ma servirebbe per i 64bit e lo slackbuild per il 3.6 non va bene in ogni caso per via delle patch sicuramente differenti.
Questo bug è stato segnalato quasi un anno fa, ma nessuno l'ha preso in carico. :(

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3363
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: -lpthread???

Messaggioda Trotto@81 » mar set 07, 2010 10:11

Nel ChangeLog di oggi Pat ringrazia Ed Martin per aver risolto il problema relativo a make su x86_64 :D

Avatar utente
robbybby
Linux 3.x
Linux 3.x
Messaggi: 1201
Iscritto il: sab dic 16, 2006 10:48
Slackware: 13.1 / 64 bit
Kernel: 3.3.x
Desktop: KDE 4.4.5
Località: Fra Trantor e Terminus

Re: [RISOLTO]-lpthread???

Messaggioda robbybby » mar dic 21, 2010 23:04

Ritiro su questa discussione, perché mi sono scontrato con questo problema, provando a compilare ff4-b8. C'è una soluzione per la 13.1 stabile?

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3363
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: [RISOLTO]-lpthread???

Messaggioda Trotto@81 » mar dic 21, 2010 23:56

Il problema è stato fixato in current ricompilando make con un flag che specifica il percorso delle librerie.


Torna a “Slackware64”

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite